Subject: bug#56013: 28.1; "gio open" and "xdg-open" fail silently under eshell

From: Andreas Schwab <[email-masked]>
Date: Thu, 03 Oct 2024 10:09:08 +0200

On Okt 02 2024, Jeff Kowalski wrote:

> Recall we're still trying to get the "xdg-open file.txt" case to work
> correctly.

This is not possible as long as eshell creates a new session for each
command and closes it immediately after the command exits.  You can
observe the same effect if you run "xterm -e 'xdg-open file.txt'".

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."